<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/event:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/event:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:element name="event" >
    <xs:complexType >
      <xs:all >
        <xs:element minOccurs="0" name="Group">
          <xs:simpleType>
            <xs:restriction base="xs:string">
              <xs:minLength value="1"></xs:minLength>
              <xs:maxLength value="8"></xs:maxLength>
            </xs:restriction>
          </xs:simpleType>
        </xs:element>
        <xs:element minOccurs="0" name="Code">
          <xs:simpleType>
            <xs:restriction base="xs:string">
              <xs:minLength value="1"></xs:minLength>
              <xs:maxLength value="32"></xs:maxLength>
            </xs:restriction>
          </xs:simpleType>
        </xs:element>
        <xs:element minOccurs="0" name="Chassis" type="xs:unsignedShort" />
        <xs:element minOccurs="0" name="Slot" type="xs:unsignedShort" />
        <xs:element minOccurs="0" name="Severity">
          <xs:simpleType>
            <xs:restriction base="xs:string">
              <xs:enumeration value="Emergency"></xs:enumeration>
              <xs:enumeration value="Alert"></xs:enumeration>
              <xs:enumeration value="Critical"></xs:enumeration>
              <xs:enumeration value="Error"></xs:enumeration>
              <xs:enumeration value="Warning"></xs:enumeration>
              <xs:enumeration value="Notification"></xs:enumeration>
              <xs:enumeration value="Informational"></xs:enumeration>
              <xs:enumeration value="Debugging"></xs:enumeration>
            </xs:restriction>
          </xs:simpleType>
        </xs:element>
      </xs:all>
    </xs:complexType>
  </xs:element>
  
</xs:schema>
